Subject: Linux-Development Digest #235
From: Digestifier <[email-masked]>
To: [email-masked]
Date: Tue, 27 Sep 94 18:13:27 EDT

Linux-Development Digest #235, Volume #2         Tue, 27 Sep 94 18:13:27 EDT

Contents:
  Re: 1+ Gig SCSI Drives (Bill Heiser)
  Re: 1.1.50 blow-up (Bill Heiser)
  Re: Memory in 1.1.50: What is data? (Bill Heiser)
  Re: Memory in 1.1.50: What is data? (Bill Heiser)
  File /lib/ld.so not found!  (Ron Heller)
  Re: HDD Controller Question (David Boyd)
  "who" garbage? ([email-masked])
  PC Graphics cards for Linux  (Steven van Aardt)
  Re: Shared Libs: working toward a permanent solution? (David Holland)
  Incremental linking for quick compile/link/debug cycle (Michel Dagenais)
  LOOK FIRST-- FORGED SPAM (Michael S. Scheidell)
  Greek driver (Nikos Massios)
  Time Zone (Nikos Massios)
  IPC bugs in 1.0.9/Slackware 2.0? (Jim Reiss)
  OpenGL Extensions to X server? (Jim Callahan)
  Re: Installing from a QIC-80 tape? (Daniel Andor)
  Re: 900 MHz CB band??? (John Hays)
  Is "socket.h" complete - I've got missing defines (Jeremy J Starcher)
  Re: Adaptec 1542/SCSI under Linux (Matthew D Stock)
  Re: [STATUS] Linus Floppy Driver Development (Joel M. Hoffman)
  SCSI PCI Adaptec (Frode Vatvedt Fjeld)

----------------------------------------------------------------------------

From: [email-masked] (Bill Heiser)
Subject: Re: 1+ Gig SCSI Drives
Date: 27 Sep 1994 16:13:30 GMT

Harald Milz ([email-masked]) wrote:
: In comp.os.linux.development, Marc Singer ([email-masked]) wrote:

: I don't really know which problems you folks have. I have been 
: operating a DEC DSP3160S (1.6 G) with a Adaptec 1542B since 0.99.9
: and never had any problems. No Extended Translation, nothing. Remember:
: All DOS-specific extensions as Extended Translation have to be switched OFF.

This is something I've been wondering about.  It appears to depend
on which SCSI HA you are using.  In looking for a solution to my 
instability problems with Buslogic BT445S/DEC DSP3107LS, I noticed
a comment in the buslogic driver that seemed to indicate it expects
the extended Translation to be switched ON.

Mine is OFF and I wonder if this is causing my instability problmes
(various crashes and kernel panics, different symptoms all the time).
I've been considering trying to turn the Translation ON, but this
(according to the Buslogic manual) means I need to reformat the
disk, and I haven't had time to do that kind of job (reformat, reinstall,etc).

--
Bill Heiser ==  Work: [email-masked]     Home: [email-masked]

------------------------------

From: [email-masked] (Bill Heiser)
Subject: Re: 1.1.50 blow-up
Date: 27 Sep 1994 16:19:28 GMT

JL Gomez ([email-masked]) wrote:
: Can someone explain what the following syslog entry means?

: Sep 18 03:20:30 kitana kernel: Unable to handle kernel paging request at
:                               virtual address c4c70f56
: Sep 18 03:20:30 kitana kernel: current->tss.cr3 = 004a1000, Rr3 = 004a1000
: Sep 18 03:20:30 kitana kernel: *pde = 00000000
: Sep 18 03:20:30 kitana kernel: release: sh kernel stack corruption. Aiee
: I'm running SCSI.

I've seen this too.  In fact my system hasn't stayed up for more than 3
days without seeing either this kind of thing or a total lock-up (processes
getting stuck in a "D" state) since I started running late 1.1.4X kernels.

Running 1.1.51 now I've been up for just over 3 days ... keeping my
fingers crossed ...

--
Bill Heiser ==  Work: [email-masked]     Home: [email-masked]

------------------------------

From: [email-masked] (Bill Heiser)
Subject: Re: Memory in 1.1.50: What is data?
Date: 27 Sep 1994 16:22:50 GMT

: Peter Suetterlin ([email-masked]) wrote:
:: Just half an hour ago, I compiled the latest 1.1.50 kernel version.
:: During bootup, I got the following message:
:: Memory: 12956k/16384k available (624k kernel code, 384k reserved, 2420k data)

Someone else wrote:
: Memory: 25900k/32768k available (712k kernel code, 384k reserved, 5772k data)
: Linux version 1.1.50 (root@ka4ybr) (gcc version 2.5.8) #2 Sat Sep 17 13:44:27 EDT 1994

This is what mine looks like:
Memory: 29532k/32768k available (524k kernel code, 384k reserved, 2328k data)
Linux version 1.1.51 (root@bhhome) (gcc version 2.5.8) #1 Thu Sep 22 20:17:49 ED

--
Bill Heiser ==  Work: [email-masked]     Home: [email-masked]

------------------------------

From: [email-masked] (Bill Heiser)
Subject: Re: Memory in 1.1.50: What is data?
Date: 27 Sep 1994 16:24:19 GMT

: Peter Suetterlin ([email-masked]) wrote:
:: Memory: 12956k/16384k available (624k kernel code, 384k reserved, 2420k data)

My SCSI (buslogic bt445s) system looks like that.
However my IDE system doesn't!

Memory: 23476k/24576k available (484k kernel code, 384k reserved, 232k data)
Linux version 1.1.51 (root@xxxxxx) (gcc version 2.5.8) #1 Fri Sep 23 16:53:55 ED

--
Bill Heiser ==  Work: [email-masked]     Home: [email-masked]

------------------------------

From: [email-masked] (Ron Heller)
Subject: File /lib/ld.so not found! 
Date: Tue, 27 Sep 1994 14:54:21 GMT

If the file /lib/ld.so does not exist, how or where can I get it???

------------------------------

From: [email-masked] (David Boyd)
Subject: Re: HDD Controller Question
Date: 26 Sep 1994 19:55:13 GMT

In article <[email-masked]>,
Carlos Dominguez <[email-masked]> wrote:
>Cary B. Abend ([email-masked]) wrote:
>
>: My question:  I know that IDE cards that support 4 HDD exist and work 
>: under DOS (presumably with some kind of BIOS bypass).  Will (or which 
>: of) these cards work with Linux?
>
>Cary,
>
>You have the atdisk2 patches, which are meant for *two* IDE controller
>cards, not one card with two IDE channels. I own a buslogic BT410A that has
>on-board BIOS to goad DOS into accepting up to four drives. Since this
>is the development group, perhaps someone out there could look at the
>atdisk2 code and perhaps see why it won't work? Maybe re-work some
>code so we could get hd1's some day ;-)
>

This seems to be the question of the week.

If the card emulates two seperate IDE controllers (one at the primary 
addresses & IRQ and one at the secondary) then it will work with the
ATDISK2 patches.  One such card is the DTC 22XX controllers which I 
had working fine with my Linux box.

I have a PROMISE 4030VL-2 controller which is like the BT410A described
above and have not been able to get it to work for < 2 drives.  (I even
whined and got the source code for an SCO driver from Promise under
non-disclosure but have not been able to get anything to work.  I suspect
that each of these type cards uses a different method for > 2 drives and
would require different driver code.

Perhaps information on what 4 drive cards are compatible with ATDISK2 and
which are not should go into the FAQ.  It would have saved me some
grief.

-- 
David W. Boyd                UUCP:     uunet!sparky!dwb
Sterling Software ITD        INTERNET: [email-masked]
1404 Ft. Crook Rd. South     Phone:    (402) 291-8300 
Bellevue, NE. 68005-2969     FAX:      (402) 291-4362
I survived - Seoul Sea of Fire Tour 94

------------------------------

From: [email-masked]
Subject: "who" garbage?
Date: 27 Sep 1994 14:32:21 -0400
Reply-To: [email-masked]

Date: Tue, 27 Sep 1994 20:25:54 +0000
From: Andre Couture <[email-masked]>
Subject: "who" garbage?
To: "comp.os.linux.development" <[email-masked]>, 
    "comp.os.linux.help" <[email-masked]>
Message-ID: <Pine.3.89.9409272024.A1316-0100000@cyborg>
MIME-Version: 1.0
Content-Type: TEXT/PLAIN; charset=iso-8859-1
Content-Transfer-Encoding: QUOTED-PRINTABLE

Is there a way to get the display name for a particular user?

What I want to do is to pop a X-message on a user screen, the problem is=20
that I don't know where he did login?

I was thinking of using the command 'who' but for x-sessions there seem=20
to be garbage on the lines,=20
ex:
andrec   ttyp0    Sep 27 20:12 (=D4=F1=BF]=ED!`)
root     ttyp1    Sep 27 20:20 (=C8=EE=BF]=ED!`)
=20
Any suggestion? there must be a 'native' way.

thanks

=====
Andre Couture,
[email-masked] (preferred)

     _/_/_/_/  _/_/_/_/  _/_/_/_/       Centre Informatique Couture
    _/           _/     _/             (div. of 938934 Ontario Inc.)
   _/           _/     _/       938934 Ontario Inc.  Phone: +1-613-762-0262
  _/           _/     _/        155 Queen St.        FAX:   +1-819-775-9697
 _/           _/     _/         Suite 900            Roma:  +39/6-5125-745
_/_/_/_/. _/_/_/_/. _/_/_/_/.   Ottawa, Ontario      Delphi:     CoutureA

@receiver file

------------------------------

From: [email-masked] (Steven van Aardt)
Subject: PC Graphics cards for Linux 
Reply-To: uunet!csfb1!svaardt
Date: Tue, 27 Sep 1994 12:46:20 GMT

What's the best PCI Graphics card (or VL bus) that you can get (budget, or
otherwise) which will not cause problems when running Linux & X, and will
give smashing performance under Windows/DOS.

Secondly what's the determines whether one CD-ROM drive works with Linux or
not - is it the actual drive or the interface ? (I assume the latter), and
if it's the interface which interfaces will work ? What about 3x & 4x drives ?

Finally, Hard disk drives & their interfaces - similar to question above.

Hopefully someone out there can help me out - I'm putting my decision upon
which m/c to buy on hold until I'm better informed.

Thanks,

Steve.

------------------------------

Subject: Re: Shared Libs: working toward a permanent solution?
From: [email-masked] (David Holland)
Date: 25 Sep 94 13:00:50

[email-masked]'s message of 21 Sep 1994 17:59:15 GMT whined:

 > Keeping on with the old non-pic libs is not a sustainable option.  The
 > requirement to globally register every shared lib is becoming an
 > impediment to wider usage of linux.

Nonsense. At most, it needs to be done a bit more carefully. Look at
Apple with their four-character resource codes. There's been trouble
there, but not much.

 > I'm sorry for those who don't want to give up a small percent of their
 > CPU.  Piss an moan in Intel's direction.  It is because they designed
 > the 8086 family without consideration of software requirements that
 > pic performance is not as good as is could be.

So what? It's what we have. If you wait for the ideal chips to come
along, you'll never get anything important done.

 > I don't care if I have to give up 10%.  We have no real choice for a
 > sustainable linux future.

Maybe you don't. I do. One of the main reasons to use Linux, instead
of something else, is the performance. Kill that, and a lot of people
will start to discover that BSD is more standard... and SCO is more
supported (by 3rd-party commercial outfits, if not by SCO itself.)

If this attitude prevails, it might well be time to switch to NextStep
or Solaris.

--
   - David A. Holland          | -- "Do you have a moment?"   -- "Yes.
     [email-masked] | Unfortunately, it's a moment of inertia."

------------------------------

From: [email-masked] (Michel Dagenais)
Subject: Incremental linking for quick compile/link/debug cycle
Date: Tue, 27 Sep 1994 14:21:44 GMT

Debugging often involves a number of edit/compile/link/debug cycles.
While the current tools (gcc, ld, ld.so...) are flexible and produce good
code they are not optimized for turnaround time. I would like to be
able get the edit/debug cycle down to a few seconds for large X applications.

Presumably you can easily know the modified files and those which need
recompiling (through make or hooks in the editor). From that, new .o files
are produced and must be "incrementally" added to the executable.

The dld library could load the new .o files but, as far as i remember,
will not redirect symbols in the original executable to use them. Furthermore,
the process continues where it was instead of starting a fresh run.

The debugger, gdb, allows you to "add-symbol-file" when a new .o file is
loaded. It already knows about symbols. Perhaps gdb should be taught about
appending .o files to the executable and processing the relocation information
in order to perform the incremental link and then run.

The most realistic solution is probably to keep the linker running and have
the output executable file memory mapped; all the symbol tables are already
in core. Then the linker would receive instructions to add some .o files.
It would take only a second or two to append the new .o files and redirect
any references to these symbols to the new .o files. This being done in
the memory mapped file, gdb sees the new executable and needs only be told
to "add-symbol-file" at the appropriate address for the added .o files.

Is anyone working on something like that? Will that be easier with ELF?
Comments and suggestions welcome!!
--

Prof. Michel Dagenais                       [email-masked]
Dept of Electrical and Computer Eng.
Ecole Polytechnique de Montreal             tel: (514) 340-4029

------------------------------

From: [email-masked] (Michael S. Scheidell)
Crossposted-To: comp.os.linux.help,comp.os.minix
Subject: LOOK FIRST-- FORGED SPAM
Date: 27 Sep 1994 15:51:51 GMT

PLEASE READ THIS.  I DID NOT MAKE THAT POST!

This posting did not come from our office, but we are tracing it.
If you look carefully at headers you will find sites that don't exist, 
and see that it does not trace back to [email-masked].

We have a good idea of who it is and some admins are helping us trace it 
by comparing the posting on their machine to other postings.

If you have the time and ability to help us trace this, we can give you 
info on who is doing it and maybe try to pressure HIS site to drop him.

Again, I did not do this post, and we have taken great pains to avoid 
offending anyone, and to date this is my first flame, even if undeserved.

I thank those who looked at headers and saw it was a forgery, and look 
forward to a solution to this.

NOW TIME TO PAUSE AND PONDER:
Seems like every time I get too full of myself, someone helps to humble 
me and remind me, that I too am just a sinner saved by the grace of God.

NOW BACK TO BUSINESS:
ps, reply with subject line "hacker" to avoid auto reply.

--
Michael S. Scheidell                    Florida Datamation, Inc. 
[email-masked]                       (407) 241-2966
Distributers of QNX Real Time OS Products (finger for more info)

------------------------------

Crossposted-To: comp.os.linux.admin,comp.os.linux.help
From: [email-masked] (Nikos Massios)
Subject: Greek driver
Date: Tue, 27 Sep 1994 13:37:45 GMT

Anybody out there knows if there is a keyboard driver to make my 
keyboard capable of printing Greek? If not how can I find information
on how to write my own? 

Nikos.

======================================================================
Nikos Massios                                3rd year Computer Science
[email-masked]                       Edinburgh University
[email-masked]                             [email-masked]
[email-masked]
======================================================================

------------------------------

Crossposted-To: comp.os.linux.admin,comp.os.linux.help
From: [email-masked] (Nikos Massios)
Subject: Time Zone
Date: Tue, 27 Sep 1994 13:49:06 GMT

I think EET stands for Eastern European Time and it is GMT+02. Well
if my previous statement is right then Slackware 1.2.0 is wrong
because it thinks that EET is GMT+03. Anybody knows what EET is?

Nikos.

======================================================================
Nikos Massios                                3rd year Computer Science
[email-masked]                       Edinburgh University
[email-masked]                             [email-masked]
[email-masked]
======================================================================

------------------------------

From: [email-masked] (Jim Reiss)
Subject: IPC bugs in 1.0.9/Slackware 2.0?
Date: Tue, 27 Sep 1994 16:35:06 GMT

I have been doing some porting work to Linux, and have encountered some
oddities in the System V IPC facilities.  I am using the latest
Slackware 2.0 distribution, which uses revision 1.0.9 of the Linux
kernel.  Whenever I have shared memory, semaphores, or message queues
allocated, the "ipcs" command encounters a memory fault error.  If
I say "ipcs -u", I get a valid summary of the resources allocated.
Is this a known problem?  In addition, when the process which allocated
the semaphores exits, it does a semctl(IPC_RMID) which apparently fails
to deallocate the semaphore.  I need to investigate this one a bit more,
but does it seem familiar?

One thing that is odd about our IPC resources is that the "uid" and "gid"
is changed to a non-existent user and group.  The "cuid" and "cgid" are
left alone.  I don't know if that provides a hint.

By the way, is the way "optind" is set in C on this version of Linux
a bit unusual?  It seems like it starts at a different place than
on most Unix systems.

Thanks for any advice anyone can offer.
--
 Jim Reiss ([email-masked])    Accelr8 Technology, Denver, Colorado, USA

------------------------------

From: [email-masked] (Jim Callahan)
Subject: OpenGL Extensions to X server?
Date: 27 Sep 1994 17:18:39 GMT
Reply-To: [email-masked]

Anyone working on extending the XFree86 server to handle OpenGL calls?

With several fast 3D hardware PC cards comming out soon which support OpenGL in
their instruction set, it would be very nice to have a GL/X server under Linux.
With this done, Linux users could get the benifit of the OpenInventor 3D OOP
toolkit and tons of GL apps...

I've seen OpenGL running on all of the more traditional UNIX platforms and even
the dreaded NT and Mac will be supprting it soon.  Wouldn't want uncle Bill to
beat the Linux community on this one...  ;^]

   Jim Callahan       Computer Animation      Cygnus Feedback, Inc.
 [email-masked]  |  Interactive 3D Apps  |  200 East 11th Street 2E
   212 477-6239           GUI Design          New York, NY  10003

------------------------------

From: [email-masked] (Daniel Andor)
Subject: Re: Installing from a QIC-80 tape?
Reply-To: [email-masked]
Date: Sun, 25 Sep 1994 07:47:30 +0000

Rob wrote:

> Most probably it assumes disksets written to tape as subsequent "tape files",
> not in some proprietary format used by a DOS backup program...
> So, if you want to create the tape from DOS you will need a very specific
> program to do it.  (kind of like the RAWRITE.EXE you need to make a
> bootable floppy from a disk image)
> 
> This technique has worked well with a Dutch distribution of Linux (called
> "Snow") which I have installed from tape a few times in the past.  But today,
> it is exclusively distributed on CD-ROM.

I was wondering whether anybody knows of a QIC-80 distribution (of SLackware?)
and where I can get it from?
Also, I have two HDs and was wanting to install Linux on my D: drive, but my 
machine boots from the c: drive. Is that a problem (in terms of keeping my old
c: dos partition)
Thanks!

-- 
Daniel Andor  ----- [email-masked] -----

------------------------------

From: [email-masked] (John Hays)
Subject: Re: 900 MHz CB band???
Date: 27 Sep 1994 17:08:04 GMT

[email-masked] wrote:

: <[email-masked]> writes:
: >
: > Alexandra Griffin ([email-masked]) wrote:
: > : I was unaware of the existence of a CB band @ 900MHz.  How much
: > : bandwidth is available there?  What restrictions exist w.r.t.
: >
: > To bring it to topic - there is ALPHA version of Linux driver for
: > the WaveLan card, designed by NCR, that gives you about 2.5 Kbit/sec
: > link as far as you can beam 1Watt at around 910 MHz. This band is
: >
: The RatShack FM walkie talkies are 900mhz, as is the new spread spectrum 
: hand-held fone from Uniden... there are also some paging freqs up in that 
: area... but like the WaveLan.... nothing real powerful or long range..
<SNIP>

Actually there are some higher powered applications in this frequency range,
i.e. Amateur Radio (906-928?? Mhz.), some locating devices, etc. and these
lower power devices must accept interference from these other applications.
Interestingly this is an area where Amateur TV is active, and some of the
wireless (i.e. Rabbit) TV distribution systems for in home use are in this
range.

John - KD7UW

------------------------------

From: [email-masked] (Jeremy J Starcher)
Subject: Is "socket.h" complete - I've got missing defines
Date: 27 Sep 1994 17:11:36 GMT

I am trying to compile a socket handling set in C++.

I have the following error messages:
SOMAXCONN not defined in this scope
MSG_MAXIOVLEN not defined in this scope.

Later in the compilation, there are other error messages of this kind.

I grepped my entire drive for MAXCON, but it returned empty :(
And this was both with Kernal 1.0.9 and Kernal 1.1.18

Is there a more complete socket.h file avaible, should I "borrow"
one from ultrix, or am I out of luck.

Please reply by e-mail as our newsreader likes to expire things
too quickly (but yes, I will be reading the newsgroup too).

Many thanks

-- 
==========================+===================================================
Jeremy J Starcher         !  If the Macintosh did not exist, what would
[email-masked]  !  MS-DOS and UNIX users make fun of?
[email-masked]     !

------------------------------

From: [email-masked] (Matthew D Stock)
Subject: Re: Adaptec 1542/SCSI under Linux
Date: Tue, 27 Sep 1994 20:16:29 GMT

In article <[email-masked]>,
Jason Malaure <[email-masked]> wrote:
>
>I would like to know how reliable SCSI generally is under Linux. I have
>had some problems witj my Fujitsu floptical but I am quite prepared
>to accept that lies with the way the drive behaves, however I would
>be very interested to find out how people have been getting with 
>large SCSI drives (>1 gig or so) as I am thinking of buying one!

I've got a 1 gig fast SCSI disk (Seagate), and a Toshiba 2x SCSI CDROM
drive on my 1542CF.  They have worked flawlessly for me for the past 2
or so months that I've owned them.  There have been reports of problems with
the 1542 driver, but I don't know the details.  They may have been
regarding the rev. A or B controllers.
  -Matt

------------------------------

From: [email-masked] (Joel M. Hoffman)
Subject: Re: [STATUS] Linus Floppy Driver Development
Date: Tue, 27 Sep 1994 15:50:24 GMT

In article <[email-masked]> [email-masked] (Mr D R Barlow) writes:
>In article <[email-masked]>,
>       Anselm Lingnau <[email-masked]> writes:
>>How are you going to umount the disk if it's already been ejected? It seems
>>to me that this would rule out anything but read-only mounts.
>
>Or synchronous mounts.  I know sync means a big performance hit, but
>floppies are so slow anyway I doubt anyone'd notice too much.

On the contrary --- the slower the medium, the worse the performance
with synchronous I/O.  While synchronous mounting may be slow but
acceptible with HD's, it would make floppies almost unusable.

-Joel
([email-masked])
-- 
=============================================================================
|_|~~ Germany, Europe. 1943.    "The diameter of the bomb was 30 centimeters,
__|~| 16 Million DEAD.           and the diameter of its destruction, about 7
                                meters, and in it four killed and 11 wounded. 
 cnc  Bosnia, Europe. 1993.     And around these, in a larger circle of  pain
 cnc  HOW MANY MORE?          and time,  are scattered two  hospitals and one
                          cemetery.   But the young woman who was  buried  in
                    the place from where she came, at a distance of more than
             than 100 kilometers, enlarges the circle considerably.   And the 
      lonely man who is mourning her death in a distant  country incorporates
into the circle the whole world.  And I won't speak of the cry of the orphans
that reaches God's chair and from there makes the circle endless and godless."
=============================================================================
     Tell Clinton to stop the genocide:  [email-masked]

------------------------------

From: [email-masked] (Frode Vatvedt Fjeld)
Subject: SCSI PCI Adaptec
Date: Tue, 27 Sep 1994 19:49:07 GMT

Does anyone know if any of the adaptec SCSI-drivers will work with
"Adaptec AIC-7870 Fast and Wide SCSI interface connected to the
processor via the PCI bus" ?

If not, is this chip very different from the "ordinary" adaptec
SCSI controllers? Would anyone know where I can get the needed
information to write a driver?

Thanks,
-- 
Frode Fjeld        e-mail..: [email-masked]
                   WWW.....: http://www.cs.uit.no/~frodef/frodef.html

------------------------------

** FOR YOUR REFERENCE **

The service address, to which questions about the list itself and requests
to be added to or deleted from it should be directed, is:

    Internet: [email-masked]

You can send mail to the entire list (and comp.os.linux.development) via:

    Internet: [email-masked]

Linux may be obtained via one of these FTP sites:
    nic.funet.fi				pub/OS/Linux
    tsx-11.mit.edu				pub/linux
    sunsite.unc.edu				pub/Linux

End of Linux-Development Digest
******************************